Bug 1576101 - total costs no longer showing in any chargeback report if they are the only columns in the report
Summary: total costs no longer showing in any chargeback report if they are the only c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.8.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.8.4
Assignee: Joe Rafaniello
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On: 1567254
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 20:24 UTC by Satoe Imaishi
Modified: 2018-06-25 14:21 UTC (History)
8 users (show)

Fixed In Version: 5.8.4.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1567254
Environment:
Last Closed: 2018-06-25 14:20:46 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:21:23 UTC

Comment 3 CFME Bot 2018-05-14 13:30:55 UTC
New commit detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/3c356a0336068b5a36a74ebfd65c62474214bf7a
commit 3c356a0336068b5a36a74ebfd65c62474214bf7a
Author:     Joe Rafaniello <jrafanie@redhat.com>
AuthorDate: Tue May  8 16:36:00 2018 -0400
Commit:     Joe Rafaniello <jrafanie@redhat.com>
CommitDate: Tue May  8 16:36:00 2018 -0400

    Check all costs fields for relevancy for the report

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1576101

    Manual backport of #17387

    If a user asks only for some of the fields (memory cost) in a chargeback report
    and they didn't request specific ones (memory allocated cost), we would skip
    calculating the memory cost because we thought it wasn't relevant.  We need to
    check all cost fields to see if they're relevant for the requested fields in the
    report.

 app/models/chargeback_rate_detail.rb | 2 +-
 spec/models/chargeback_vm_spec.rb | 11 +
 2 files changed, 12 insertions(+), 1 deletion(-)

Comment 4 Tasos Papaioannou 2018-05-16 18:36:52 UTC
Verified on 5.8.4.3.

Comment 6 errata-xmlrpc 2018-06-25 14:20:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.